﻿Imports System.IO

Public Class Form1
    Private Sub Import()

        'Open File Dialog zum öffnen der csv
        Dim Filepath As String
        Using O As New OpenFileDialog With {.Filter = "Preislisten(*.xls, *.xlsx, *.csv) | *.xls;*.xlsx;*.csv", .Multiselect = False, .Title = "Rechnung auswählen"}
            If O.ShowDialog <> 1 Then Exit Sub
            Filepath = O.FileName
        End Using
        Dim extension = Path.GetExtension(Filepath)
        Dim tbl = New DataTable


        If extension = ".csv" Then

            Dim lines = IO.File.ReadAllLines(Filepath)
            Dim colCount = lines.First.Split(","c).Length

            For i = 1 To colCount
                tbl.Columns.Add(New DataColumn("Column_" & i, GetType(String)))
            Next
            For Each line In lines
                Dim objFields = From field In line.Split(","c)
                Dim count As Integer = 0
                For Each item In objFields
                    count += 1
                    If count > colCount Then
                        tbl.Columns.Add(New DataColumn("Column_" & count, GetType(String)))
                        colCount += 1
                    End If
                Next
                Dim newRow = tbl.Rows.Add()
                newRow.ItemArray = objFields.ToArray()
            Next

        Else

            'Else Zweig habe ich auskommentiert - damit kein Import von EPPLUS nötig ist

            'Dim ExcelFile As FileInfo = New FileInfo(Filepath)
            'Using package As ExcelPackage = New ExcelPackage(ExcelFile)
            '    Dim worksheet As ExcelWorksheet = package.Workbook.Worksheets(1)
            '    'benötigte Spalten erstellen
            '    Dim ColAmount = worksheet.Dimension.[End].Column
            '    For i = 1 To ColAmount
            '        tbl.Columns.Add(New DataColumn("Column_" & i, GetType(String)))
            '    Next

            '    'Zellenweise einlesen der Daten aus Excel
            '    For i = 1 To worksheet.Dimension.[End].Row '1. Schleife durch Rows
            '        Dim objFields As New List(Of String)
            '        For j = 1 To ColAmount '2. Schleife durch Spalten
            '            If worksheet.Cells(i, j).Value IsNot Nothing Then
            '                objFields.Add(worksheet.Cells(i, j).Value.ToString)
            '            End If
            '        Next
            '        Dim newRow = tbl.Rows.Add()
            '        newRow.ItemArray = objFields.ToArray()
            '    Next
            'End Using
        End If

        Dim bs As New BindingSource
        bs.DataSource = tbl
        DataGridView1.DataSource = bs


    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Import()
    End Sub

    Private Sub TBFilter_TextChanged(sender As Object, e As EventArgs) Handles TBFilter.TextChanged
        'Hier soll im TextChange Event die Liste im DGV gefiltert werden
    End Sub
End Class
